# ThemeTextEditor(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ThemeTextEditor`(bpy_struct)

  Theme settings for the Text Editor

  `cursor`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `line_numbers_background`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `selected_text`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `space`

    Settings for space

    Type: | `ThemeSpaceGeneric`, (readonly, never None)

  `syntax_builtin`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `syntax_comment`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `syntax_numbers`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `syntax_preprocessor`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `syntax_reserved`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `syntax_special`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `syntax_string`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

  `syntax_symbols`

    Type: | float array of 3 items in [0, 1], default (0.0, 0.0, 0.0)

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Theme.text_editor` |